Subject: Re: [RFC] pull/fetch rename

From: Mike Hommey <[email-masked]>
Date: Wed, 21 Oct 2009 08:30:08 +0200

On Tue, Oct 20, 2009 at 07:56:01PM -0400, Daniel Barkalow wrote:
> On Tue, 20 Oct 2009, Thomas Rast wrote:
> 
> > Hi all,
> > 
> > While everyone is busy in two other UI threads, I figured I might as
> > well toss up another (probably) controversial topic.
> > 
> > Especially on IRC, we see many people who are some combination of
> > misunderstanding, misusing or overusing git-pull.  I figure this is
> > the result of several factors, notably
> > 
> > a) pull/push are not symmetric,
> 
> In a certain sense they are; they both update the branches local to one 
> repository with the data from the other repository. In this sense, fetch 
> is the oddity in that it doesn't update any repository's own branches, but 
> just the local information about other repositories' branches.

BTW, shouldn't fetch be deprecated in favour of git remote update ?
(this may require adding some features to git remote update, but you get
the idea)

Mike